List all Encodings

Bitmovin retains historical encoding jobs data for a period of 90 days. Should you require the data to be stored for an extended duration, it is necessary to store it within your own data repository.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
integer

Index of the first item to return, starting at 0. Default is 0

integer

Maximum number of items to return. Default is 25, maximum is 100

boolean

A boolean indicating whether the total count should be returned as well. Default is false. Setting this flag to true is discouraged.

string

Order list result according an encoding resource attribute. The fields that can be used for sorting are: + id + startedAt + createdAt + modifiedAt + finishedAt + type + name + status + cloudRegion + encoderVersion

string

Filter encodings to only show the ones with the type specified.

string

Filter encodings to only show the ones with the status specified.

string
enum

Filter encodings to only show the ones with the cloudRegion specified.

string
enum

Filter encodings to only show the ones with the selectedCloudRegion specified which was selected when cloudregion:AUTO was set

string

Filter encodings to only show the ones with the encoderVersion specified.

string

Filter encodings to only show the ones with the encoderVersion specified that was actually used for the encoding.

string
enum
Defaults to STANDARD

Filter encodings to only show the ones with the encodingMode specified that was actually used for the encoding.

Allowed:
string

Filter encodings to only show the ones with this exact name.

string

The search query string for advanced filtering.

We are using the Apache Lucene query syntax here.

Only lucene queries equivalent to exact matching and startsWith are supported. Also only AND conjunctions supported at the moment.

Please be aware that our filters are case-insensitive

Examples of supported lucene queries:

  • name:MyEncoding1 - This searches for encodings with names that are equal to myencoding1

  • name:"My Encoding" - This searches for encodings with names that are equal to my encoding

  • name:MyEncoding\* - This searches for encodings with names that are equal to myencoding* Please have a look at the Lucene Documentation - Escaping Special Characters section to see what characters have to be escaped.

  • name:test* - This searches for encodings with names that start with test

  • name:test* AND labels:Customer1 - This searches for encodings with names starting with test and labels containing an entry that is equal to customer1

Available search fields:

  • name

  • labels

Please be aware to send these queries url encoded.

If you provide fields or lucene queries that are not supported, it will result in an error response.

date-time

Filter encodings to only return those created after this exact time, provided in ISO 8601 format: YYYY-MM-DDThh:mm:ssZ

date-time

Filter encodings to only return those created before this exact time, provided in ISO 8601 format: YYYY-MM-DDThh:mm:ssZ

date-time

Filter encodings to only return those started after this exact time, provided in ISO 8601 format: YYYY-MM-DDThh:mm:ssZ

date-time

Filter encodings to only return those started before this exact time, provided in ISO 8601 format: YYYY-MM-DDThh:mm:ssZ

date-time

Filter encodings to only return those finished at newer than this exact time, provided in ISO 8601 format: YYYY-MM-DDThh:mm:ssZ
Available for all encodings started after REST API Service release v1.50.0 (Changelogs for more information https://bitmovin.com/docs/encoding/changelogs/rest)

date-time

Filter encodings to only return those finished at older than this exact time, provided in ISO 8601 format: YYYY-MM-DDThh:mm:ssZ
Available for all encodings started after REST API Service release v1.50.0 (Changelogs for more information https://bitmovin.com/docs/encoding/changelogs/rest)

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json